summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 3c4e8a6)
raw | patch | inline | side by side (parent: 3c4e8a6)
author | Catalin Marinas <catalin.marinas@gmail.com> | |
Mon, 8 Aug 2005 09:53:23 +0000 (10:53 +0100) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Tue, 9 Aug 2005 05:51:44 +0000 (22:51 -0700) |
Some http servers return an HTML error page and git reads it as normal
data. Adding -f option makes curl fail silently.
Signed-off-by: Catalin Marinas <catalin.marinas@gmail.com>
Signed-off-by: Junio C Hamano <junkio@cox.net>
data. Adding -f option makes curl fail silently.
Signed-off-by: Catalin Marinas <catalin.marinas@gmail.com>
Signed-off-by: Junio C Hamano <junkio@cox.net>
git-clone-dumb-http | patch | blob | history | |
git-fetch-script | patch | blob | history | |
git-ls-remote-script | patch | blob | history |
diff --git a/git-clone-dumb-http b/git-clone-dumb-http
index 8203c67626f45b2c9363b5e5b7bc47df5647490f..50527086a09944c94a0d00b2b8eaf9cb8afaf5fb 100755 (executable)
--- a/git-clone-dumb-http
+++ b/git-clone-dumb-http
fi
http_fetch () {
# $1 = Remote, $2 = Local
- curl -ns $curl_extra_args "$1" >"$2"
+ curl -nsf $curl_extra_args "$1" >"$2"
}
cd "$D" &&
diff --git a/git-fetch-script b/git-fetch-script
index a0326f0e789145ee93f188d5bb3855d8a029bd6b..24f0a5ec82e7268f6dcb0beefb6dbe0f7f54f463 100755 (executable)
--- a/git-fetch-script
+++ b/git-fetch-script
fi
_x40='[0-9a-f][0-9a-f][0-9a-f][0-9a-f][0-9a-f]' &&
_x40="$_x40$_x40$_x40$_x40$_x40$_x40$_x40$_x40" &&
- head=$(curl -ns $curl_extra_args "$merge_repo/$merge_head") &&
+ head=$(curl -nsf $curl_extra_args "$merge_repo/$merge_head") &&
expr "$head" : "$_x40\$" >/dev/null || {
echo >&2 "Failed to fetch $merge_head from $merge_repo"
exit 1
diff --git a/git-ls-remote-script b/git-ls-remote-script
index 921d3f8462b9cd9b3046e667c87c69beefce722d..31cdac8bfed3837653d80828c7cf60647df0af07 100755 (executable)
--- a/git-ls-remote-script
+++ b/git-ls-remote-script
if [ -n "$GIT_SSL_NO_VERIFY" ]; then
curl_extra_args="-k"
fi
- curl -ns $curl_extra_args "$peek_repo/info/refs" || exit 1
+ curl -nsf $curl_extra_args "$peek_repo/info/refs" || exit 1
;;
rsync://* )